#ifndef _OMAP_BOARD_MVBLX_H
#define _OMAP_BOARD_MVBLX_H

#include <linux/if_ether.h>

struct __attribute__ ((__packed__)) mvblx_sys_eeprom {
	u8 id[16];		/* 0x01 - 0x0F Type e.g. 100wG-5111 */
	u8 sn[10];		/* 0x10 - 0x19 Serial Number */
	u8 date[6];		/* 0x1A - 0x1F Build Date */
	u8 mac[ETH_ALEN];	/* 0x20 - 0x25 MAC address  */
	u8 reserved[10];	/* 0x26 - 0x2f reserved */
	u32 crc;		/* 0x30 - 0x33 CRC32 checksum */
};

#endif /* _OMAP_BOARD_MVBLX_H */
